Bug 433238 - Update Bing POTD to use 4K pictures
Summary: Update Bing POTD to use 4K pictures
Status: RESOLVED FIXED
Alias: None
Product: kdeplasma-addons
Classification: Unclassified
Component: Picture of the Day (show other bugs)
Version: unspecified
Platform: Manjaro Linux
: NOR wishlist
Target Milestone: ---
Assignee: Guo Yunhe
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-19 11:03 UTC by elman
Modified: 2022-03-29 08:05 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.25


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description elman 2021-02-19 11:03:11 UTC
SUMMARY

Would it be possible to update plasma_potd_bingprovider.so so that it would download 4K pictures when 4K display is used?

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: Manjaro
KDE Plasma Version: 5.21.0
KDE Frameworks Version: 5.79.0
Qt Version: 5.15.2
Comment 1 Bug Janitor Service 2021-03-20 03:30:34 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kdeplasma-addons/-/merge_requests/62
Comment 2 elman 2022-01-19 09:19:57 UTC
Is there any progress? That marge request is almost 10 months old.
Comment 3 Nate Graham 2022-01-19 18:30:48 UTC
That's a question that should be asked at https://invent.kde.org/plasma/kdeplasma-addons/-/merge_requests/62, not here.
Comment 4 Fushan Wen 2022-03-28 11:39:40 UTC
Git commit 7575294495d9e41032061ca457095769189b031c by Fushan Wen.
Committed on 28/03/2022 at 10:03.
Pushed by fusionfuture into branch 'master'.

wallpapers/potd: Add UHD image support for bingprovider

When the primary screen's width > 1920 or height > 1080, download the
UHD version of image.

Co-authored-by: Yunhe Guo <i@guoyunhe.me>

M  +16   -4    wallpapers/potd/plugins/bingprovider.cpp

https://invent.kde.org/plasma/kdeplasma-addons/commit/7575294495d9e41032061ca457095769189b031c
Comment 5 elman 2022-03-29 07:30:17 UTC
Excellent. Thank you :)
Comment 6 Fushan Wen 2022-03-29 08:05:40 UTC
(In reply to elman from comment #5)
> Excellent. Thank you :)

You can join the development and submit your merge request if you like the change to be applied fast ;)